# REF, REFRESH

NAME
REF, REFRESH - switch refreshing on or off.
SYNOPSIS
REF
REFRESH
REF OFF
REFRESH OFF
DESCRIPTION
Most of garlic commands require redrawing of the main window. This may slow down the execution of the program. To save some time, the refreshing may be switched off. Just execute the command:
ref off
(the long form is REFRESH OFF). After that, a number of time-consuming commands may be executed, and refreshing may be turned on again. To switch on refreshing, execute the command REF without the keyword OFF:
ref
This trick is very useful with scripts. Put the command REF OFF close to the top of the script and do not forget to put the command REF (without the keyword OFF!) to the bottom of the script. Try the sample scripts atoms.script , bonds.script and colors.script . The refreshing trick is used in these scripts.
If refreshing is switched off, you will see the message in the middle of the main garlic window (yellow text "Refreshing off" on red background).